using System;
using CncModels.Entity;

namespace CncRepository.Interface
{
    /// <summary>
    /// 日志库：心跳仓储接口
    /// </summary>
    public interface ICollectorHeartbeatRepository
    {
        long Create(CollectorHeartbeat entity);

        CollectorHeartbeat GetLatest(string serviceId);

        int DeleteBeforeDate(DateTime date);
    }
}
